Subject: bug#50470: 27.1; 'company-mode' 'eshell'

From: Dmitry Gutov <[email-masked]>
Date: Sun, 5 Jun 2022 03:36:27 +0300

On 05.06.2022 03:17, Stefan Monnier wrote:
>> The downside compared to my latest patch is that it actually expanded
>> ~/Downl* into a bunch of completions (and the current behavior is "no
>> completions"), but that seems minor.
>>
>> It might be considered a regression, though.
> AFAIK it is a regression, indeed.  I thought you'd install your patch
> on top.  Any reason why you refrained from doing so?

Erm, I missed the time when you installed yours: you never wrote about 
it here, and my "Emacs Diffs" folder still has 738 unread messages.

So I figured the fix is due to another bug report and patch. :-/

My patch doesn't help with the 'cd ~/Down*' behavior, though: when I 
worked on it, pressing C-M-i did expand it as expected, it was mostly 
problematic with company-mode (and other similar frontends).

But now C-M-i results in "No match" as well, with or without my patch.